CampaignsTemplates
List Campaign Templates
List the ready-made templates you can start a campaign from. Each one includes its call outcomes (dispositions) and Pulse workflow.
Authorization
x-api-key x-api-key<token>
API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Query Parameters
string
GET /v2/campaigns/campaign-templates Parameter
Length1 <= length
string
GET /v2/campaigns/campaign-templates Parameter
Value in"aca" | "medicare" | "hospital_indemnity" | "home_health_care" | "final_expense"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.carecycle.ai/v2/campaigns/campaign-templates"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"tags": [
"string"
],
"vertical": "aca",
"isReceptionist": true,
"direction": "string",
"callerIdSource": "client_main",
"publishedVersionId": "9786f1b1-ef7e-4f6a-94c4-c8eb67e924eb",
"clientFacingDescription": "string",
"happyPathConversation": "string",
"defaultAutomationConfigs": "string",
"dispositionGroup": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string"
},
"pulseWorkflow": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"canvas": "string"
},
"automationTemplates": [],
"requiredVars": [],
"behaviorPresets": [
{
"behaviorKey": "8f4ec167-b8f8-4577-be44-e6d35d0a5583",
"scenarioName": "string",
"action": "string",
"scope": "business_hours",
"enabled": true,
"priority": -9007199254740991,
"isDefault": true,
"appliesTo": [
"string"
],
"destinationRequirement": "routing_group"
}
],
"warnings": []
}
]
}{
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string",
"details": {
"property1": null,
"property2": null
}
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
],
"failedRecords": [
{
"index": 0,
"phoneNumber": "string",
"firstName": "string",
"lastName": "string",
"externalId": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}